<?
class fill_hidden extends component {


    function makeData() {
        $this->html = "";
        foreach($this->dialog->params as $p) {
            if(strpos($this->exclude, $p) === false) {
                $this->html .= "<input type=\"hidden\" name=\"".$p."\" value=\"".$this->dialog->$p."\">";
            }
        }
    }



    function display() {
        echo $this->html;
    }


}
?>